> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出技能

> 列出市場中的技能或已安裝的技能。

列出可用技能。可按已安裝技能篩選，也可瀏覽完整的技能市場。

## 身份驗證

需要 Bearer 令牌。參見[身份驗證](/api-reference/authentication)。

## 查詢參數

<ParamField query="filter" type="string">
  篩選技能。可選值：

  * `"installed"` — 僅返回已通過身份驗證的用戶安裝的技能
  * `"marketplace"` — 所有公開的市場技能（省略該參數時的默認值）
</ParamField>

## 請求示例

<CodeGroup>
  ```bash curl theme={null}
  # 列出已安裝的技能
  curl "https://www.hitheo.ai/api/v1/skills?filter=installed" \
    -H "Authorization: Bearer $THEO_API_KEY"

  # 瀏覽技能市場
  curl https://www.hitheo.ai/api/v1/skills \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  // 已安裝的技能
  const installed = await theo.skills("installed");

  // 技能市場
  const marketplace = await theo.skills("marketplace");
  ```
</CodeGroup>

## 響應

<ResponseField name="skills" type="object[]">
  技能對象數組。每個對象包含 `id`、`name`、`slug`、`description`、`category`、`version`、`installCount`、`isPublic` 等字段。
</ResponseField>

### 響應示例

```json theme={null}
{
  "skills": [
    {
      "id": "skill_abc123",
      "name": "Deep Research",
      "slug": "deep-research",
      "description": "Multi-step web research with citations and structured reports",
      "category": "productivity",
      "version": "1.2.0",
      "installCount": 342,
      "isPublic": true,
      "authorUserId": "user_xyz"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.